/*
 * Common shutdown functionality.
 *
 * Copyright (C) 2013 Paul Boddie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <stdio.h>
#include <stdlib.h>
#include <ubb/ubb.h>

/**
 * Handle termination of the process.
 */
void init_shutdown(int signum)
{
    printf("Closing...\n");
    ubb_close(0);
    exit(1);
}
